Overview

Overview

AST Unit tester is a tool to perform quick and easy Unit tests on LabVIEW code.

AST Unit Tester looks for VI's in the current project that begin with "Test" and a bookmark named "#AST_Unit_Test". The user can then run all tests or run just a selected test. AST unit tester displays the result of each test as green for pass, red for fail. User can also save results of Unit test to a simple text file

Examples can be found in

National Instruments\LabVIEW <Version>\examples\Automated Software Technology\AST Unit Tester\AST Unit Tester Examples

Copyright © 2019 by Automated Software Technology LLC. All Rights Reserved.


Creating Unit Test

Getting Started ››

Creating Unit Test in AST Unit Tester

Creating unit tests is very simple. Select File\New\From Template\AST Unit Tester\Test AST Unit Test Template.vit

Save the Unit test is Test <Your Unit Test>.vi Make sure you add the unit test to your project. The AST unit tester looks for test in the name of the unit test and the #AST_Unit_Test bookmark.

Create your Unit test. Wire the "Pass?" Boolean to your function or groups of functions you want to test. The AST Unit tester looks for the "Pass?" Boolean and makes sure the error out cluster does not report an error

You are now ready to run some tests. Select Tools\AST Unit tester to run the tool

Select Run all or Select a Unit test or tests to run and Select Run selected

That's it! Happy Testing

Copyright © 2019 by Automated Software Technology LLC. All Rights Reserved.


System requirements

Getting Started ››

System Requirements

LabVIEW 2015

Open G

WF Progress bar

Copyright © 2019 by Automated Software Technology LLC. All Rights Reserved.


Getting help

Getting Started ››

Contact Automated Software Technology

www.autosofttech.net

Copyright © 2019 by Automated Software Technology LLC. All Rights Reserved.


UI

UI

Run all Tests.

Run Selected Tests. User can run 1 or multiple tests selected in the selection listbox.

Aborts all tests. This is useful if the test hangs up

Add Test from file.

Remove selected tests.

Refresh Tests from project. Use this after adding tests to project

Save Test Results to a text file. User will be promoted for Results file path

Brings up Help Dialog

Displays Unit Tests found in project. After test is run row will be colored green for pass and red for fail. User can select test to run by clicking on test. Holding down the ctr key while selecting selects multiple tests. User can directly go to test by double clicking test.

Test Results

Copyright © 2019 by Automated Software Technology LLC. All Rights Reserved.